%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: A command that removes accents
Name: unac
Version: 1.8.0
Release: %mkrel 13
License: GPLv2+
Group: Text tools
Source: https://ftp.debian.org/debian/pool/main/u/unac/unac_%version.orig.tar.gz
Patch1: unac-1.8.0-automake-1.13.patch
Patch2: unac-fix-building-with-gcc14.patch
URL: https://www.nongnu.org/unac/
BuildRequires: gettext-devel

%description
unac is a C library and command that remove accents from a string.
For instance the string été will become ete.  It provides a command
line interface that removes accents from a string given in argument
(unaccent command). In the library function and the command, the
charset of the input string is specified as an argument. The input
string is converted to UTF-16 using iconv(3), accents are stripped and
the result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

%package -n %libname
Group:System/Libraries
Summary: A C library that removes accents

%description -n %libname
unac is a C library and command that remove accents from a string.
For instance the string été will become ete.  It provides a command
line interface that removes accents from a string given in argument
(unaccent command). In the library function and the command, the
charset of the input string is specified as an argument. The input
string is converted to UTF-16 using iconv(3), accents are stripped and
the result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

%package -n %develname
Group: Development/C
Summary: A C library that removes accents
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
unac is a C library and command that remove accents from a string.
For instance the string été will become ete.  It provides a command
line interface that removes accents from a string given in argument
(unaccent command). In the library function and the command, the
charset of the input string is specified as an argument. The input
string is converted to UTF-16 using iconv(3), accents are stripped and
the result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

%prep
%setup -q -n %name-%version.orig
%patch -P 1 -p1 -b .automake-1_13
%patch -P 2 -p1 -b .gcc14
touch config.rpath

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc ChangeLog README
%{_bindir}/unaccent
%_mandir/man1/unaccent.1*

%files -n %libname
%_libdir/libunac.so.%{major}*

%files -n %develname
%_libdir/libunac*so
%_libdir/pkgconfig/unac.pc
%{_includedir}/unac.h
%{_mandir}/man3/unac.3*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.8.0-13.mga10
+ Revision: 2229766
- Mageia 10 Mass Rebuild

* Mon Nov 04 2024 ns80 <ns80> 1.8.0-12.mga10
+ Revision: 2112371
- fix building with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 1.8.0-11.mga9
+ Revision: 1797062
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.8.0-10.mga8
+ Revision: 1519177
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Oct 04 2018 pterjan <pterjan> 1.8.0-9.mga7
+ Revision: 1317722
- Fix encoding
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.8.0-8.mga6
+ Revision: 946809
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-7.mga5
+ Revision: 749621
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-6.mga5
+ Revision: 690037
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.0-5.mga4
+ Revision: 519799
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8.0-4.mga3
+ Revision: 385056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.8.0-3.mga3
+ Revision: 337923
- patch1: fix build with automake 1.13

* Fri Oct 12 2012 fwang <fwang> 1.8.0-2.mga3
+ Revision: 305031
- drop .la file

* Sun Jan 23 2011 pterjan <pterjan> 1.8.0-2.mga1
+ Revision: 35536
- imported package unac


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.0-2mdv2011.0
+ Revision: 608104
- rebuild

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2010.1
+ Revision: 484860
- import unac


* Fri Jan  1 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2010.1
- adapt for mandriva

* Fri Sep 21 2000 Loic Dachary <loic@senga.org>
- Create
